function DropDownTest_InitializeDropDown(self, level)
    -- Create a table to use for button information
    local info = UIDropDownMenu_CreateInfo()

    -- Create a title button
    info.text = "DropDown Test"
    info.isTitle = 1
    UIDropDownMenu_AddButton(info)

    -- Create a normal button
    info = UIDropDownMenu_CreateInfo()
    info.text = "Sample Item 1"
    UIDropDownMenu_AddButton(info)

    -- Create another normal button
    info = UIDropDownMenu_CreateInfo()
    info.text = "Sample Item 2"
    UIDropDownMenu_AddButton(info)
end

function DropDownTest_DropDownOnLoad(self)
    UIDropDownMenu_Initialize(self, DropDownTest_InitializeDropDown)
end

function DropDownTest_ButtonOnClick(self, button, down)
    local name = self:GetName()
    ToggleDropDownMenu(1, nil, DropDownTest_DropDown, name, 0, 0)
end

